# spats.lib

This library contains a collection of tools for sound spatialization. Its official prefix is `sp`.

#### References

- https://github.com/grame-cncm/faustlibraries/blob/master/spats.lib

### `(sp.)panner`

A simple linear stereo panner. `panner` is a standard Faust function.

#### Usage

    _ : panner(g) : _,_

Where:

- `g`: the panning (0-1)

### `(sp.)spat`

GMEM SPAT: n-outputs spatializer. `spat` is a standard Faust function.

#### Usage

    _ : spat(n,r,d) : _,_,...

Where:

- `n`: number of outputs
- `r`: rotation (between 0 et 1)
- `d`: distance of the source (between 0 et 1)

### `(sp.)stereoize`

Transform an arbitrary processor `p` into a stereo processor with 2 inputs and 2 outputs.

#### Usage

    _,_ : stereoize(p) : _,_

Where:

- `p`: the arbitrary processor

#### Search

From here you can search these documents. Enter your search terms below.

#### Keyboard Shortcuts

Keys | Action
--- | ---
`?` | Open this help
`n` | Next page
`p` | Previous page
`s` | Search